> ## Documentation Index
> Fetch the complete documentation index at: https://docs.wepayout.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Cancel Authorization

> Cancel an authorization

## Path Parameters

<ParamField path="id" type="integer" required>
  The ID of the authorization to cancel.
</ParamField>

## Response

<ResponseField name="id" type="integer">
  Authorization ID
</ResponseField>

<ResponseField name="merchant_id" type="integer">
  Merchant ID
</ResponseField>

<ResponseField name="contract_id" type="string">
  Contract ID
</ResponseField>

<ResponseField name="identifier" type="string">
  Identifier
</ResponseField>

<ResponseField name="frequency" type="string">
  Frequency
</ResponseField>

<ResponseField name="contract_name" type="string">
  Contract Name
</ResponseField>

<ResponseField name="type" type="string">
  Type
</ResponseField>

<ResponseField name="authorization_amount" type="number or null">
  Authorization Amount
</ResponseField>

<ResponseField name="amount" type="number or null">
  Amount
</ResponseField>

<ResponseField name="maximum_authorization_amount" type="number or null">
  Maximum Authorization Amount
</ResponseField>

<ResponseField name="start_date" type="string">
  Start Date
</ResponseField>

<ResponseField name="end_date" type="string or null">
  End Date
</ResponseField>

<ResponseField name="created_at" type="string">
  Creation Date
</ResponseField>

<ResponseField name="status" type="object">
  Status

  <Expandable title="status properties">
    <ResponseField name="id" type="integer">
      Status ID
    </ResponseField>

    <ResponseField name="name" type="string">
      Status Name
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="history" type="array or null">
  History

  <Expandable title="history items">
    <ResponseField name="id" type="integer">History ID</ResponseField>
    <ResponseField name="authorization_id" type="integer">Authorization ID</ResponseField>
    <ResponseField name="status_id" type="integer">Status ID</ResponseField>
    <ResponseField name="status_name" type="string">Status Name</ResponseField>
    <ResponseField name="created_at" type="string">Date</ResponseField>
  </Expandable>
</ResponseField>

<ResponseField name="buyer" type="object">
  Buyer

  <Expandable title="buyer properties">
    <ResponseField name="id" type="integer">
      Buyer ID
    </ResponseField>

    <ResponseField name="name" type="string">
      Buyer Name
    </ResponseField>

    <ResponseField name="document" type="string">
      Buyer Document
    </ResponseField>
  </Expandable>
</ResponseField>

<ResponseExample>
  ```json 200 theme={null}
  {
    "id": 1,
    "merchant_id": 1,
    "contract_id": "123",
    "identifier": "identifier",
    "frequency": "MONTHLY",
    "contract_name": "Contract Name",
    "type": "RECURRING",
    "authorization_amount": 100.00,
    "amount": 100.00,
    "maximum_authorization_amount": 200.00,
    "start_date": "2023-01-01",
    "end_date": "2023-12-31",
    "created_at": "2023-01-01T00:00:00Z",
    "status": {
      "id": 2,
      "name": "CANCELED"
    },
    "history": [
      {
        "id": 1,
        "authorization_id": 1,
        "status_id": 1,
        "status_name": "ACTIVE",
        "created_at": "2023-01-01T00:00:00Z"
      },
      {
        "id": 2,
        "authorization_id": 1,
        "status_id": 2,
        "status_name": "CANCELED",
        "created_at": "2023-01-02T00:00:00Z"
      }
    ],
    "buyer": {
      "id": 1,
      "name": "Buyer Name",
      "document": "12345678900"
    }
  }
  ```
</ResponseExample>
